@charset "UTF-8";
/*
================================================================
----------------------------------------------------------------

 Agnis CSS Layout Screen

----------------------------------------------------------------
 *
 *
 *
================================================================
*/
/*
================================================================
 スクリーンレイアウト
================================================================
*/
.media-screen {
  position: relative;
  overflow: hidden !important;
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
}
.media-screen > .media-screen__src {
  position: absolute;
  top: 50%;
  left: 50%;
  display: block;
  width: 100%;
  height: auto;
  -moz-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  -webkit-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
}
.media-screen > .media-screen__src.media-screen__src--wide {
  width: auto;
  height: 100%;
}
.media-screen > .media-screen__src.media-screen__src--narrow {
  width: 100%;
  height: auto;
}
.media-screen.media-screen--contain {
  background-size: contain;
}
.media-screen.media-screen--contain > .media-screen__src.media-screen__src--wide {
  width: 100%;
  height: auto;
}
.media-screen.media-screen--contain > .media-screen__src.media-screen__src--narrow {
  width: auto;
  height: 100%;
}
.media-screen.media-screen--adjust-width {
  background-size: 100% auto;
}
.media-screen.media-screen--adjust-width > .media-screen__src.media-screen__src--wide, .media-screen.media-screen--adjust-width > .media-screen__src.media-screen__src--narrow {
  width: 100%;
  height: auto;
}
.media-screen.media-screen--adjust-height {
  background-size: auto 100%;
}
.media-screen.media-screen--adjust-height > .media-screen__src.media-screen__src--wide, .media-screen.media-screen--adjust-height > .media-screen__src.media-screen__src--narrow {
  width: auto;
  height: 100%;
}
.media-screen.media-screen--orient-left {
  background-position: left center;
}
.media-screen.media-screen--orient-left > .media-screen__src {
  left: 0;
  right: auto;
  -moz-transform: translate(0, -50%);
  -ms-transform: translate(0, -50%);
  -webkit-transform: translate(0, -50%);
  transform: translate(0, -50%);
}
.media-screen.media-screen--orient-right {
  background-position: right center;
}
.media-screen.media-screen--orient-right > .media-screen__src {
  left: auto;
  right: 0;
  -moz-transform: translate(0, -50%);
  -ms-transform: translate(0, -50%);
  -webkit-transform: translate(0, -50%);
  transform: translate(0, -50%);
}
.media-screen.media-screen--orient-top {
  background-position: center top;
}
.media-screen.media-screen--orient-top > .media-screen__src {
  top: 0;
  bottom: auto;
  -moz-transform: translate(-50%, 0);
  -ms-transform: translate(-50%, 0);
  -webkit-transform: translate(-50%, 0);
  transform: translate(-50%, 0);
}
.media-screen.media-screen--orient-bottom {
  background-position: center bottom;
}
.media-screen.media-screen--orient-bottom > .media-screen__src {
  top: auto;
  bottom: 0;
  -moz-transform: translate(-50%, 0);
  -ms-transform: translate(-50%, 0);
  -webkit-transform: translate(-50%, 0);
  transform: translate(-50%, 0);
}
.media-screen.media-screen--orient-left-top {
  background-position: left top;
}
.media-screen.media-screen--orient-left-top > .media-screen__src {
  top: 0;
  bottom: auto;
  left: 0;
  right: auto;
  -moz-transform: none;
  -ms-transform: none;
  -webkit-transform: none;
  transform: none;
}
.media-screen.media-screen--orient-right-top {
  background-position: right top;
}
.media-screen.media-screen--orient-right-top > .media-screen__src {
  top: 0;
  bottom: auto;
  left: auto;
  right: 0;
  -moz-transform: none;
  -ms-transform: none;
  -webkit-transform: none;
  transform: none;
}
.media-screen.media-screen--orient-left-bottom {
  background-position: left bottom;
}
.media-screen.media-screen--orient-left-bottom > .media-screen__src {
  top: auto;
  bottom: 0;
  left: 0;
  right: auto;
  -moz-transform: none;
  -ms-transform: none;
  -webkit-transform: none;
  transform: none;
}
.media-screen.media-screen--orient-right-bottom {
  background-position: right bottom;
}
.media-screen.media-screen--orient-right-bottom > .media-screen__src {
  top: auto;
  bottom: 0;
  left: auto;
  right: 0;
  -moz-transform: none;
  -ms-transform: none;
  -webkit-transform: none;
  transform: none;
}
.media-screen.media-screen--fixed {
  background-attachment: fixed;
  background-size: cover;
}
.agent-prop-iOS .media-screen.media-screen--fixed.media-screen--wide {
  background-size: auto 100vh;
}
.agent-prop-iOS .media-screen.media-screen--fixed.media-screen--narrow {
  background-size: 100vw auto;
}
.media-screen.media-screen--initialized > img.media-screen__src {
  display: none;
}

@media print {
  .media-screen.media-screen--initialized {
    background-image: none !important;
  }
  .media-screen.media-screen--initialized > img.media-screen__src {
    display: block;
  }
}
/* Scss Document */
